OrderingComparison (Hamcrest)
Date: 2012-07-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hamcrest.number
Class OrderingComparison<T extends java.lang.Comparable<T>>

    java.lang.Object
      org.hamcrest.BaseMatcher<T>
          org.hamcrest.TypeSafeMatcher<T>
              org.hamcrest.number.OrderingComparison<T>

All Implemented Interfaces:
  Matcher<T>, SelfDescribing

    public class OrderingComparison<T extends java.lang.Comparable<T>>

extends TypeSafeMatcher<T>

Method Summary
`static
`<T extends java.lang.Comparable<T>> Matcher<T>`
` | `comparesEqualTo(T value)` Creates a matcher of `Comparable` object that matches when the examined object is equal to the specified value, as reported by the `compareTo` method of the examined object.
`void` | `describeMismatchSafely(T actual, Description mismatchDescription)` Subclasses should override this.
`void` | `describeTo(Description description)` Generates a description of the object.
`static
`<T extends java.lang.Comparable<T>> Matcher<T>`
` | `greaterThan(T value)` Creates a matcher of `Comparable` object that matches when the examined object is greater than the specified value, as reported by the `compareTo` method of the examined object.
`static
`<T extends java.lang.Comparable<T>> Matcher<T>`
` | `greaterThanOrEqualTo(T value)` Creates a matcher of `Comparable` object that matches when the examined object is greater than or equal to the specified value, as reported by the `compareTo` method of the examined object.
`static
`<T extends java.lang.Comparable<T>> Matcher<T>`
` | `lessThan(T value)` Creates a matcher of `Comparable` object that matches when the examined object is less than the specified value, as reported by the `compareTo` method of the examined object.
`static
`<T extends java.lang.Comparable<T>> Matcher<T>`
` | `lessThanOrEqualTo(T value)` Creates a matcher of `Comparable` object that matches when the examined object is less than or equal to the specified value, as reported by the `compareTo` method of the examined object.
`boolean` | `matchesSafely(T actual)` Subclasses should implement this.

Methods inherited from class org.hamcrest.TypeSafeMatcher
`describeMismatch, matches`

Methods inherited from class org.hamcrest.BaseMatcher
`_dont_implement_Matcher___instead_extend_BaseMatcher_, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### matchesSafely

    public boolean matchesSafely(T actual)

  Description copied from class: `TypeSafeMatcher`
  Subclasses should implement this. The item will already have been checked for the specific type and will never be null.

  Specified by:
    `matchesSafely` in class `TypeSafeMatcher<T extends java.lang.Comparable<T>>`

### describeMismatchSafely

    public void describeMismatchSafely(T actual,
                                       Description mismatchDescription)

  Description copied from class: `TypeSafeMatcher`
  Subclasses should override this. The item will already have been checked for the specific type and will never be null.

  Overrides:
    `describeMismatchSafely` in class `TypeSafeMatcher<T extends java.lang.Comparable<T>>`

### describeTo

    public void describeTo(Description description)

  Description copied from interface: `SelfDescribing`
  Generates a description of the object. The description may be part of a a description of a larger object of which this is just a component, so it should be worded appropriately.

  Parameters:
    `description` - The description to be built or appended to.

### comparesEqualTo

    public static <T extends java.lang.Comparable<T>> Matcher<T> comparesEqualTo(T value)

  Creates a matcher of `Comparable` object that matches when the examined object is equal to the specified value, as reported by the `compareTo` method of the examined object.

  For example:

      assertThat(1, comparesEqualTo(1))

  Parameters:
    `value` - the value which, when passed to the compareTo method of the examined object, should return zero

### greaterThan

    public static <T extends java.lang.Comparable<T>> Matcher<T> greaterThan(T value)

  Creates a matcher of `Comparable` object that matches when the examined object is greater than the specified value, as reported by the `compareTo` method of the examined object.

  For example:

      assertThat(2, greaterThan(1))

  Parameters:
    `value` - the value which, when passed to the compareTo method of the examined object, should return greater than zero

### greaterThanOrEqualTo

    public static <T extends java.lang.Comparable<T>> Matcher<T> greaterThanOrEqualTo(T value)

  Creates a matcher of `Comparable` object that matches when the examined object is greater than or equal to the specified value, as reported by the `compareTo` method of the examined object.

  For example:

      assertThat(1, greaterThanOrEqualTo(1))

  Parameters:
    `value` - the value which, when passed to the compareTo method of the examined object, should return greater than or equal to zero

### lessThan

    public static <T extends java.lang.Comparable<T>> Matcher<T> lessThan(T value)

  Creates a matcher of `Comparable` object that matches when the examined object is less than the specified value, as reported by the `compareTo` method of the examined object.

  For example:

      assertThat(1, lessThan(2))

  Parameters:
    `value` - the value which, when passed to the compareTo method of the examined object, should return less than zero

### lessThanOrEqualTo

    public static <T extends java.lang.Comparable<T>> Matcher<T> lessThanOrEqualTo(T value)

  Creates a matcher of `Comparable` object that matches when the examined object is less than or equal to the specified value, as reported by the `compareTo` method of the examined object.

  For example:

      assertThat(1, lessThanOrEqualTo(1))

  Parameters:
    `value` - the value which, when passed to the compareTo method of the examined object, should return less than or equal to zero

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD